FreeMat

- Main Page
- Related Pages

vtkStructuredGridToStructuredGridFilter

Section: Visualization Toolkit Filtering Classes

# Usage

vtkStructuredPointsToStructuredPointsFilter is an abstract filter class whose subclasses take on input a structured grid and generate a structured grid on output.

To create an instance of class vtkStructuredGridToStructuredGridFilter, simply invoke its constructor as follows

      obj = vtkStructuredGridToStructuredGridFilter

# Methods

The class vtkStructuredGridToStructuredGridFilter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkStructuredGridToStructuredGridFilter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkStructuredGridToStructuredGridFilter = obj.NewInstance ()`
- `vtkStructuredGridToStructuredGridFilter = obj.SafeDownCast (vtkObject o)`
- `obj.SetInput (vtkStructuredGrid input)` - Set / get the input Grid or filter.
- `vtkStructuredGrid = obj.GetInput ()` - Set / get the input Grid or filter.